<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Writer\Xls\BIFFwriter</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Constructor.">
            <span class="description">Constructor.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getByteOrder" title="getByteOrder ::Determine the byte order and store it as class data to avoid
recalculating it for each call to new().">
            <span class="description">Determine the byte order and store it as class data to avoid
recalculating it for each call to new().</span><pre>getByteOrder</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_writeData" title="writeData ::General storage function like append, but returns string instead of modifying $this-&gt;_data.">
            <span class="description">General storage function like append, but returns string instead of modifying $this-&gt;_data.</span><pre>writeData</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_writeEof" title="writeEof ::Writes Excel EOF record to indicate the end of a BIFF stream.">
            <span class="description">Writes Excel EOF record to indicate the end of a BIFF stream.</span><pre>writeEof</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>                        <li class="methodprotected">
                            <a href="#method_append" title="append ::General storage function.">
                                <span class="description">General storage function.</span><pre>append</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_storeBof" title="storeBof ::Writes Excel BOF record to indicate the beginning of a stream or
sub-stream in the BIFF file.">
                                <span class="description">Writes Excel BOF record to indicate the beginning of a stream or
sub-stream in the BIFF file.</span><pre>storeBof</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_storeEof" title="storeEof ::Writes Excel EOF record to indicate the end of a BIFF stream.">
                                <span class="description">Writes Excel EOF record to indicate the end of a BIFF stream.</span><pre>storeEof</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_addContinue" title="addContinue ::Excel limits the size of BIFF records. In Excel 5 the limit is 2084 bytes. In
Excel 97 the limit is 8228 bytes. Records that are longer than these limits
must be split up into CONTINUE blocks.">
                                <span class="description">Excel limits the size of BIFF records. In Excel 5 the limit is 2084 bytes. In
Excel 97 the limit is 8228 bytes. Records that are longer than these limits
must be split up into CONTINUE blocks.</span><pre>addContinue</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>BIFFwriter</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Constructor.</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_addContinue"></a>
                        <div class="element clickable methodprivate method_addContinue" data-toggle="collapse" data-target=".method_addContinue .collapse">
                            <h2>Excel limits the size of BIFF records. In Excel 5 the limit is 2084 bytes. In
Excel 97 the limit is 8228 bytes. Records that are longer than these limits
must be split up into CONTINUE blocks.</h2>
                            <pre>addContinue(string $data): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>This function takes a long BIFF record and inserts CONTINUE records as
necessary.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$data</h4>
                                                <code>string</code><p><p>The original binary data to be written</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p><p>A very convenient string of continue blocks</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_append"></a>
                        <div class="element clickable methodprotected method_append" data-toggle="collapse" data-target=".method_append .collapse">
                            <h2>General storage function.</h2>
                            <pre>append(string $data)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$data</h4>
                                                <code>string</code><p><p>binary data to append</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getByteOrder"></a>
                        <div class="element clickable methodpublic method_getByteOrder" data-toggle="collapse" data-target=".method_getByteOrder .collapse">
                            <h2>Determine the byte order and store it as class data to avoid
recalculating it for each call to new().</h2>
                            <pre>getByteOrder(): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_storeBof"></a>
                        <div class="element clickable methodprotected method_storeBof" data-toggle="collapse" data-target=".method_storeBof .collapse">
                            <h2>Writes Excel BOF record to indicate the beginning of a stream or
sub-stream in the BIFF file.</h2>
                            <pre>storeBof(integer $type)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$type</h4>
                                                <code>integer</code><p><p>type of BIFF file to write: 0x0005 Workbook,
0x0010 Worksheet</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_storeEof"></a>
                        <div class="element clickable methodprotected method_storeEof" data-toggle="collapse" data-target=".method_storeEof .collapse">
                            <h2>Writes Excel EOF record to indicate the end of a BIFF stream.</h2>
                            <pre>storeEof()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_writeData"></a>
                        <div class="element clickable methodpublic method_writeData" data-toggle="collapse" data-target=".method_writeData .collapse">
                            <h2>General storage function like append, but returns string instead of modifying $this-&gt;_data.</h2>
                            <pre>writeData(string $data): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$data</h4>
                                                <code>string</code><p><p>binary data to write</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_writeEof"></a>
                        <div class="element clickable methodpublic method_writeEof" data-toggle="collapse" data-target=".method_writeEof .collapse">
                            <h2>Writes Excel EOF record to indicate the end of a BIFF stream.</h2>
                            <pre>writeEof()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_byteOrder"> </a>
                            <div class="element clickable propertyprivate property_byteOrder" data-toggle="collapse" data-target=".property_byteOrder .collapse">
                                <h2>The byte order of this architecture. 0 =&gt; little endian, 1 =&gt; big endian.</h2>
                                <pre>byteOrder :integer</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property__data"> </a>
                            <div class="element clickable propertypublic property__data" data-toggle="collapse" data-target=".property__data .collapse">
                                <h2>The string containing the data of the BIFF stream.</h2>
                                <pre>_data :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property__datasize"> </a>
                            <div class="element clickable propertypublic property__datasize" data-toggle="collapse" data-target=".property__datasize .collapse">
                                <h2>The size of the data in bytes. Should be the same as strlen($this-&gt;_data).</h2>
                                <pre>_datasize :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_limit"> </a>
                            <div class="element clickable propertyprivate property_limit" data-toggle="collapse" data-target=".property_limit .collapse">
                                <h2>The maximum length for a BIFF record (excluding record header and length field). See addContinue().</h2>
                                <pre>limit :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                                <tr>
                                                    <th>see
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Writer\Xls\BIFFwriter"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Writer.Xls.html">Xls</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xls.BIFFwriter.html">BIFFwriter</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:46 +0000.<br/>
    </footer></body>
</html>
